Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048379 - Document minimal requirements for a resource to be manageable
Summary: Document minimal requirements for a resource to be manageable
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JDG
Version: JON 3.1.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: JON 4.0.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On: 881408 1048381
Blocks: 1048369 1048370 1048371 1048372 1048373 1048374 1048375 1048376 1048377 1048378
TreeView+ depends on / blocked
 
Reported: 2014-01-03 21:05 UTC by Deon Ballard
Modified: 2019-06-24 15:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 881408
Environment:
Last Closed: 2019-06-24 15:06:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 34278 0 None None None Never

Description Deon Ballard 2014-01-03 21:05:40 UTC
+++ This bug was initially created as a clone of Bug #881408 +++

This issue is to make sure we have documentation available which describes the basic minimal requirements that a given managed resource needs to provide in order to be manageable by JON. Examples include:
AS4: Remote JMX connection
AS5: Profileservice deployed
etc etc

--- Additional comment from Charles Crouch on 2012-11-28 15:54:56 EST ---

This should probably be done on a plugin by plugin basis since each product is going to have its own set of requirements e.g. SOA, EPP, which we may have no idea about.

--- Additional comment from Deon Ballard on 2014-01-03 10:16:04 EST ---

I think this is actually a plug-in doc issue, not a content service documentation issue. Anything set in the rhq-plugin.xml descriptor will get pulled in when the resource reference is generated. But it requires more technical knowledge of the resource to create that content (i.e., plug-in developer work). 

I am assigning this to the Plugin component for EAP and I will clone it for the other JBoss plugins.

Comment 1 Jay Shaughnessy 2014-08-26 15:18:31 UTC
Useful plugin documentation but won't make 3.3.  Pushing to 4.0 although I could see this getting pulled back to a potential 3.4 release (no target exists for 3.4 at the moment)

Comment 2 Filip Brychta 2019-06-24 15:06:06 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.